=== debian/changelog ===
golang-github-cznic-lldb (1.0.1-2) unstable; urgency=medium

  * Team upload.

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ tous ]
  * Point URLs to new upstream VCS
  * Create compatibility symlink to old import path
  * Update debian/watch
  * Rules-Requires-Root: no
  * debian/control:correct Section (devel -> golang)
  * Bump debhelper-compat to 13
  * Add dependency on golang-modernc-internal-dev

  [ Andreas Tille ]
  * d/watch: Version=5
    Do not upgrade to latest upstream since cznic/internal is needed since
    version 1.0.2
  * Declare compliance with Debian Policy 4.7.2
  * Fix Homepage
  * Default Salsa CI
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 20 Sep 2025 12:46:22 +0200

golang-github-cznic-lldb (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #830823).

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 13 Jul 2016 15:42:54 +1000
