=== debian/control ===
Source: golang-github-cznic-lldb
Standards-Version: 4.7.2
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders:
 Dmitry Smirnov <onlyjob@debian.org>,
 Tim Potter <tpot@hpe.com>,
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-go,
 golang-github-cznic-bufs-dev,
 golang-github-cznic-fileutil-dev,
 golang-github-cznic-mathutil-dev,
 golang-github-cznic-sortutil-dev,
 golang-github-cznic-zappy-dev,
 golang-modernc-internal-dev,
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-lldb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-lldb.git
Homepage: https://pkg.go.dev/modernc.org/lldb
Rules-Requires-Root: no
XS-Go-Import-Path: modernc.org/lldb,
 	  github.com/cznic/lldb

Package: golang-github-cznic-lldb-dev
Architecture: all
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 golang-go,
 golang-github-cznic-bufs-dev,
 golang-github-cznic-fileutil-dev,
 golang-github-cznic-mathutil-dev,
 golang-github-cznic-sortutil-dev,
 golang-github-cznic-zappy-dev,
 golang-modernc-internal-dev,
Description: low level database engine
 lldb is Golang implementation of a low level database engine.
